#include<bits/stdc++.h>
using namespace std;
int main()
{
    long long a,b,t,i,j,c,d;
    cin >> t;
    for(i=0;i<t;i++)
    {
        d=0;
        cin >> a >> b;
        for(j=1;j<=sqrt(a);j=j+2)
        {

            if(a%j==0)
            {
                c=a/j;
                if((c^j)==b)
                {
                    cout << c << j;
                    d=1;
                    break;
                }
            }

        }
        if(d==0)
        {
                cout << -1;
        }
    }


}